"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var DeleteReplicationTask_1 = require("../model/operations/DeleteReplicationTask");
var DeleteReplicationTaskCommand = /** @class */ (function () {
    function DeleteReplicationTaskCommand(input) {
        this.input = input;
        this.model = DeleteReplicationTask_1.DeleteReplicationTask;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    DeleteReplicationTaskCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return DeleteReplicationTaskCommand;
}());
exports.DeleteReplicationTaskCommand = DeleteReplicationTaskCommand;
//# sourceMappingURL=DeleteReplicationTaskCommand.js.map