"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var DescribeReplicationInstances_1 = require("../model/operations/DescribeReplicationInstances");
var DescribeReplicationInstancesCommand = /** @class */ (function () {
    function DescribeReplicationInstancesCommand(input) {
        this.input = input;
        this.model = DescribeReplicationInstances_1.DescribeReplicationInstances;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    DescribeReplicationInstancesCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return DescribeReplicationInstancesCommand;
}());
exports.DescribeReplicationInstancesCommand = DescribeReplicationInstancesCommand;
//# sourceMappingURL=DescribeReplicationInstancesCommand.js.map