"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var ModifyEndpoint_1 = require("../model/operations/ModifyEndpoint");
var ModifyEndpointCommand = /** @class */ (function () {
    function ModifyEndpointCommand(input) {
        this.input = input;
        this.model = ModifyEndpoint_1.ModifyEndpoint;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    ModifyEndpointCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return ModifyEndpointCommand;
}());
exports.ModifyEndpointCommand = ModifyEndpointCommand;
//# sourceMappingURL=ModifyEndpointCommand.js.map