"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var StopReplicationTask_1 = require("../model/operations/StopReplicationTask");
var StopReplicationTaskCommand = /** @class */ (function () {
    function StopReplicationTaskCommand(input) {
        this.input = input;
        this.model = StopReplicationTask_1.StopReplicationTask;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    StopReplicationTaskCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return StopReplicationTaskCommand;
}());
exports.StopReplicationTaskCommand = StopReplicationTaskCommand;
//# sourceMappingURL=StopReplicationTaskCommand.js.map