"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var CreateReplicationTaskInput_1 = require("../shapes/CreateReplicationTaskInput");
var CreateReplicationTaskOutput_1 = require("../shapes/CreateReplicationTaskOutput");
var AccessDeniedFault_1 = require("../shapes/AccessDeniedFault");
var InvalidResourceStateFault_1 = require("../shapes/InvalidResourceStateFault");
var ResourceAlreadyExistsFault_1 = require("../shapes/ResourceAlreadyExistsFault");
var ResourceNotFoundFault_1 = require("../shapes/ResourceNotFoundFault");
var KMSKeyNotAccessibleFault_1 = require("../shapes/KMSKeyNotAccessibleFault");
var ResourceQuotaExceededFault_1 = require("../shapes/ResourceQuotaExceededFault");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.CreateReplicationTask = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "CreateReplicationTask",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: CreateReplicationTaskInput_1.CreateReplicationTaskInput
    },
    output: {
        shape: CreateReplicationTaskOutput_1.CreateReplicationTaskOutput
    },
    errors: [
        {
            shape: AccessDeniedFault_1.AccessDeniedFault
        },
        {
            shape: InvalidResourceStateFault_1.InvalidResourceStateFault
        },
        {
            shape: ResourceAlreadyExistsFault_1.ResourceAlreadyExistsFault
        },
        {
            shape: ResourceNotFoundFault_1.ResourceNotFoundFault
        },
        {
            shape: KMSKeyNotAccessibleFault_1.KMSKeyNotAccessibleFault
        },
        {
            shape: ResourceQuotaExceededFault_1.ResourceQuotaExceededFault
        }
    ]
};
//# sourceMappingURL=CreateReplicationTask.js.map