"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var ImportCertificateInput_1 = require("../shapes/ImportCertificateInput");
var ImportCertificateOutput_1 = require("../shapes/ImportCertificateOutput");
var ResourceAlreadyExistsFault_1 = require("../shapes/ResourceAlreadyExistsFault");
var InvalidCertificateFault_1 = require("../shapes/InvalidCertificateFault");
var ResourceQuotaExceededFault_1 = require("../shapes/ResourceQuotaExceededFault");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.ImportCertificate = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "ImportCertificate",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: ImportCertificateInput_1.ImportCertificateInput
    },
    output: {
        shape: ImportCertificateOutput_1.ImportCertificateOutput
    },
    errors: [
        {
            shape: ResourceAlreadyExistsFault_1.ResourceAlreadyExistsFault
        },
        {
            shape: InvalidCertificateFault_1.InvalidCertificateFault
        },
        {
            shape: ResourceQuotaExceededFault_1.ResourceQuotaExceededFault
        }
    ]
};
//# sourceMappingURL=ImportCertificate.js.map