"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var ModifyReplicationTaskInput_1 = require("../shapes/ModifyReplicationTaskInput");
var ModifyReplicationTaskOutput_1 = require("../shapes/ModifyReplicationTaskOutput");
var InvalidResourceStateFault_1 = require("../shapes/InvalidResourceStateFault");
var ResourceNotFoundFault_1 = require("../shapes/ResourceNotFoundFault");
var ResourceAlreadyExistsFault_1 = require("../shapes/ResourceAlreadyExistsFault");
var KMSKeyNotAccessibleFault_1 = require("../shapes/KMSKeyNotAccessibleFault");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.ModifyReplicationTask = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "ModifyReplicationTask",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: ModifyReplicationTaskInput_1.ModifyReplicationTaskInput
    },
    output: {
        shape: ModifyReplicationTaskOutput_1.ModifyReplicationTaskOutput
    },
    errors: [
        {
            shape: InvalidResourceStateFault_1.InvalidResourceStateFault
        },
        {
            shape: ResourceNotFoundFault_1.ResourceNotFoundFault
        },
        {
            shape: ResourceAlreadyExistsFault_1.ResourceAlreadyExistsFault
        },
        {
            shape: KMSKeyNotAccessibleFault_1.KMSKeyNotAccessibleFault
        }
    ]
};
//# sourceMappingURL=ModifyReplicationTask.js.map