"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var RefreshSchemasInput_1 = require("../shapes/RefreshSchemasInput");
var RefreshSchemasOutput_1 = require("../shapes/RefreshSchemasOutput");
var InvalidResourceStateFault_1 = require("../shapes/InvalidResourceStateFault");
var ResourceNotFoundFault_1 = require("../shapes/ResourceNotFoundFault");
var KMSKeyNotAccessibleFault_1 = require("../shapes/KMSKeyNotAccessibleFault");
var ResourceQuotaExceededFault_1 = require("../shapes/ResourceQuotaExceededFault");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.RefreshSchemas = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "RefreshSchemas",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: RefreshSchemasInput_1.RefreshSchemasInput
    },
    output: {
        shape: RefreshSchemasOutput_1.RefreshSchemasOutput
    },
    errors: [
        {
            shape: InvalidResourceStateFault_1.InvalidResourceStateFault
        },
        {
            shape: ResourceNotFoundFault_1.ResourceNotFoundFault
        },
        {
            shape: KMSKeyNotAccessibleFault_1.KMSKeyNotAccessibleFault
        },
        {
            shape: ResourceQuotaExceededFault_1.ResourceQuotaExceededFault
        }
    ]
};
//# sourceMappingURL=RefreshSchemas.js.map