"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var StartReplicationTaskInput_1 = require("../shapes/StartReplicationTaskInput");
var StartReplicationTaskOutput_1 = require("../shapes/StartReplicationTaskOutput");
var ResourceNotFoundFault_1 = require("../shapes/ResourceNotFoundFault");
var InvalidResourceStateFault_1 = require("../shapes/InvalidResourceStateFault");
var AccessDeniedFault_1 = require("../shapes/AccessDeniedFault");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.StartReplicationTask = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "StartReplicationTask",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: StartReplicationTaskInput_1.StartReplicationTaskInput
    },
    output: {
        shape: StartReplicationTaskOutput_1.StartReplicationTaskOutput
    },
    errors: [
        {
            shape: ResourceNotFoundFault_1.ResourceNotFoundFault
        },
        {
            shape: InvalidResourceStateFault_1.InvalidResourceStateFault
        },
        {
            shape: AccessDeniedFault_1.AccessDeniedFault
        }
    ]
};
//# sourceMappingURL=StartReplicationTask.js.map