"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var TestConnectionInput_1 = require("../shapes/TestConnectionInput");
var TestConnectionOutput_1 = require("../shapes/TestConnectionOutput");
var ResourceNotFoundFault_1 = require("../shapes/ResourceNotFoundFault");
var InvalidResourceStateFault_1 = require("../shapes/InvalidResourceStateFault");
var KMSKeyNotAccessibleFault_1 = require("../shapes/KMSKeyNotAccessibleFault");
var ResourceQuotaExceededFault_1 = require("../shapes/ResourceQuotaExceededFault");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.TestConnection = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "TestConnection",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: TestConnectionInput_1.TestConnectionInput
    },
    output: {
        shape: TestConnectionOutput_1.TestConnectionOutput
    },
    errors: [
        {
            shape: ResourceNotFoundFault_1.ResourceNotFoundFault
        },
        {
            shape: InvalidResourceStateFault_1.InvalidResourceStateFault
        },
        {
            shape: KMSKeyNotAccessibleFault_1.KMSKeyNotAccessibleFault
        },
        {
            shape: ResourceQuotaExceededFault_1.ResourceQuotaExceededFault
        }
    ]
};
//# sourceMappingURL=TestConnection.js.map